# MAT-data: Data Preprocessing for Multiple Aspect Trajectory Data Mining \[MAT-Tools Framework\]
---

\[[Publication](#)\] \[[citation.bib](citation.bib)\] \[[GitHub](https://github.com/ttportela/movelets)\] \[[PyPi](https://pypi.org/project/movelets/)\]


The present application offers a tool, to support the user in the classification task of multiple aspect trajectories, specifically for extracting and visualizing the movelets, the parts of the trajectory that better discriminate a class. It integrates into a unique platform the fragmented approaches available for multiple aspects trajectories and in general for multidimensional sequence classification into a unique web-based and python library system. Offers both movelets visualization and classification methods.

Created on Dec, 2023
Copyright (C) 2023, License GPL Version 3 or superior (see LICENSE file)

### Main Modules

- [proprocess](/proprocess.py): Methods for trajectory preprocessing;
- [generator](/generator.py): Methods for trajectory datasets generation.


### Installation

Install directly from PyPi repository, or, download from github. (python >= 3.7 required)

```bash
    pip install mat-data
```

### Citing

If you use `automatize` please cite the following paper:

    Tarlis Tortelli Portela; Jonata Tyska Carvalho; Vania Bogorny. HiPerMovelets: high-performance movelet extraction for trajectory classification, International Journal of Geographical Information Science, 2022. DOI: 10.1080/13658816.2021.2018593.

[Bibtex](citation.bib):

```bash
@article{Portela2022,
    author = {Tarlis Tortelli Portela and Jonata Tyska Carvalho and Vania Bogorny},
    title = {HiPerMovelets: high-performance movelet extraction for trajectory classification},
    journal = {International Journal of Geographical Information Science},
    volume = {0},
    number = {0},
    pages = {1-25},
    year  = {2022},
    publisher = {Taylor & Francis},
    doi = {10.1080/13658816.2021.2018593},
    URL = {https://doi.org/10.1080/13658816.2021.2018593}
}
```

### Collaborate with us

Any contribution is welcome. This is an active project and if you would like to include your algorithm in `movelets`, feel free to fork the project, open an issue and contact us.

Feel free to contribute in any form, such as scientific publications referencing `movelets`, teaching material and workshop videos.

### Related packages

- [mat-data](https://github.com/ttportela/mat-data): mat-data is part of _MAT-Tools Framework_

### Change Log

This is a package under construction:
 
*Dec. 2023:*
 - 
 
 *TODO*:
 - Comments on all public interface funcions and modules
